View Issue Details

IDProjectCategoryView StatusLast Update
0006531Talermechant backendpublic2020-10-29 22:46
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006531: integration test for tipping is missing
Descriptionsee summary
TagsNo tags attached.

Activities

Christian Grothoff

2020-08-24 22:33

manager   ~0016755

Florian: are you discussing merchant or wallet or both here? ;-) Testing it in the merchant should be on Jonathan's agenda.

Florian Dold

2020-08-24 22:45

manager   ~0016757

Both need an integration test, I assumed the merchant already had one though!

Florian Dold

2020-09-08 16:30

manager   ~0016927

Tipping in the wallet now has an integration test.

Christian Grothoff

2020-10-29 22:46

manager   ~0017065

I've run the coverage analysis, and concluded that tipping is already sufficiently tested.

Christian Grothoff

2020-10-29 22:46

manager   ~0017066

Issue History

Date Modified Username Field Change
2020-08-24 16:54 Florian Dold New Issue
2020-08-24 22:32 Christian Grothoff Assigned To => jonathanbuchanan
2020-08-24 22:32 Christian Grothoff Status new => assigned
2020-08-24 22:33 Christian Grothoff Note Added: 0016755
2020-08-24 22:45 Florian Dold Note Added: 0016757
2020-09-08 16:30 Florian Dold Note Added: 0016927
2020-09-08 17:43 Florian Dold Category other => mechant backend
2020-10-22 12:09 Christian Grothoff Assigned To jonathanbuchanan => Christian Grothoff
2020-10-22 12:10 Christian Grothoff Severity minor => feature
2020-10-22 12:10 Christian Grothoff Product Version => git (master)
2020-10-22 12:10 Christian Grothoff Target Version => 0.8.1
2020-10-26 13:40 Christian Grothoff Priority normal => high
2020-10-29 22:46 Christian Grothoff Status assigned => resolved
2020-10-29 22:46 Christian Grothoff Resolution open => fixed
2020-10-29 22:46 Christian Grothoff Fixed in Version => 0.8
2020-10-29 22:46 Christian Grothoff Note Added: 0017065
2020-10-29 22:46 Christian Grothoff Target Version 0.8.1 => 0.8
2020-10-29 22:46 Christian Grothoff Note Added: 0017066